summaryrefslogtreecommitdiffstats
path: root/www/firefox-devel/pkg-deinstall.in
diff options
context:
space:
mode:
Diffstat (limited to 'www/firefox-devel/pkg-deinstall.in')
-rw-r--r--www/firefox-devel/pkg-deinstall.in20
1 files changed, 20 insertions, 0 deletions
diff --git a/www/firefox-devel/pkg-deinstall.in b/www/firefox-devel/pkg-deinstall.in
new file mode 100644
index 000000000..0abb7e7c0
--- /dev/null
+++ b/www/firefox-devel/pkg-deinstall.in
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xDEINSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/*.rdf
+rm -f ${MOZDIR}/component.reg
+rm -f ${MOZDIR}/components/*.dat
+
+exit 0